Subject: Re: bug#14799: Request for building PDF manuals in A4 format

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Oct 2019 14:22:53 +0200

Angelo Graziosi <[email-masked]> writes:

> @@ -1,5 +1,7 @@
>  \input texinfo  @c -*- coding: utf-8 -*-
>
> +@afourpaper
> +@setchapternewpage odd
>  @setfilename ../../info/emacs
>  @settitle GNU Emacs Manual
>

Thanks; that was a simple enough patch.  :-)

But I don't think it's something we can apply in general -- the
officially printed Emacs manuals are on US paper sizes, and I don't
think that's going to change.

I had a look at somehow making a new Makefile target for A4 pages, but
it doesn't seem like texi2pdf takes paper size as a parameter either, so
all the texi files would need to have

@ifset A4
...
@endif

or something, and then a Makefile target could set that variable.  But
that seems like a lot of verbiage to add to the .texi files, so I don't
know...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no